Novell is now a part of Micro Focus

Security bugfix for package gv

Knowledgebase

(Last modified: 30SEP2002)


solutions Security bugfix for package gv SuSE Linux Maintenance Web (98513b8e9027501a2236be471f709057)

Applies to

Product(s): SuSE Linux Admin-CD for Firewall
SuSE Linux Enterprise Server 7 for IBM zSeries
SuSE eMail Server III
SuSE Linux Enterprise Server 7 for PowerPC
SuSE Linux Enterprise Server 7 for IA32
SuSE Linux Enterprise Server 7 for IA64
SuSE Linux Enterprise Server 7 for S/390 and zSeries
SuSE eMail Server 3.1
SuSE Linux Office Server
SuSE Firewall Adminhost VPN
SuSE Linux Connectivity Server

Package: gv
Release: 20020930
Obsoletes: none

Indications

Everyone using the gv program should install this patch.

Contraindications

None.

Problem description

There are several buffer overflows in the gv program that is used to display PostScript(tm) files. These overflows can be exploited by an attacker, e.g. by sending the victim a malformed postscript file and tricking him/her into viewing it with gv. By triggering a buffer overflow, the attacker can then execute arbitrary commands under the victim's account.

Solution

Please install the updates provided at the location noted below.

Installation notes

This update is provided as an RPM package that can easily be installed onto a running system by using this command:
rpm -Uvh gv.rpm

links to download packages

Download Source Packages

Download the source code of the patches for maintained products.


Disclaimer

The Origin of this information may be internal or external to Novell. Novell makes all reasonable efforts to verify this information. However, the information provided in this document is for your information only. Novell makes no explicit or implied claims to the validity of this information.

Any trademarks referenced in this document are the property of their respective owners. Consult your product manuals for complete trademark information.

© Micro Focus